#ifndef __GDAM_POWER_SPECTRUM_H_
#define __GDAM_POWER_SPECTRUM_H_


typedef struct _GdamPowerSpectrum GdamPowerSpectrum;
typedef struct _GdamPowerSpectrumClass GdamPowerSpectrumClass;

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "../gdambufferingfilter.h"

GtkType gdam_power_spectrum_get_type();
#define GDAM_TYPE_POWER_SPECTRUM			(gdam_power_spectrum_get_type ())
#define GDAM_POWER_SPECTRUM(obj)              (GTK_CHECK_CAST ((obj), GDAM_TYPE_POWER_SPECTRUM, GdamPowerSpectrum))
#define GDAM_POWER_SPECTRUM_CLASS(klass)      (GTK_CHECK_CLASS_CAST ((klass), GDAM_TYPE_POWER_SPECTRUM, GdamPowerSpectrumClass))
#define GDAM_IS_POWER_SPECTRUM(obj)           (GTK_CHECK_TYPE ((obj), GDAM_TYPE_POWER_SPECTRUM))
#define GDAM_IS_POWER_SPECTRUM_CLASS(klass)   (GTK_CHECK_CLASS_TYPE ((klass), GDAM_TYPE_POWER_SPECTRUM))

struct _GdamPowerSpectrumClass {
	GdamBufferingFilterClass		buffering_filter_class;
};
struct _GdamPowerSpectrum {
	GdamBufferingFilter	buffering_filter;
	int			window_size;
};

gdouble* gdam_power_spectrum_get(GdamPowerSpectrum*);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
